Bug 130959 - LibreOffice crashes when opening files with non-existing hyperlinks
Summary: LibreOffice crashes when opening files with non-existing hyperlinks
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-02-26 13:39 UTC by tadas
Modified: 2020-03-02 09:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["lcl_ScRange_Parse_XL_R1C1"]


Attachments
File necessary to reproduce the bug (deleted)
2020-02-26 13:40 UTC, tadas
Details
bt Windows (windbg) (49.68 KB, text/plain)
2020-02-26 15:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tadas 2020-02-26 13:39:30 UTC
Description:
I have an .xlsx file that contains a hyperlink with a target that doesn't exist, at least that's how I understand the issue. Opening up the file causes LibreOffice to crash. The .xlsx file is saved with Microsoft Excel. I am only having problems with LibreOffice version 6.4.0.3. 

If I were to open up this file with LibreOffice 6.3, it would work okay, it wouldn't crash. If the file was opened up and re-saved using LibreOffice 6.3, it could be opened up using 6.4 without any problems afterwrads.

The same issue persists when converting file to pdf using the commandline interface of LibreOffice, that's actually how I noticed the issue in the first place. (~/libreoffice/opt/libreoffice6.4/program/soffice --headless --invisible --nodefault --view --nolockcheck --nologo --norestore --nofirststartwizard --convert-to pdf ~/Desktop/bad.xlsx)

Managed to reproduce on my local Ubuntu 19.10 machine, and in an AWS Lambda function.

Steps to Reproduce:
1. Download the attachment
2. Open it up using LibreOffice 6.4.0.3

Actual Results:
LibreOffice crashes

Expected Results:
LibreOffice does not crash


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.4.0.3
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 12; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-GB (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 tadas 2020-02-26 13:40:56 UTC
Created attachment 158202 [details]
File necessary to reproduce the bug
Comment 2 Xisco Faulí 2020-02-26 14:25:20 UTC
Crash report: crashreport.libreoffice.org/stats/crash_details/a93ca868-9927-47f4-903f-34a1633d2d44
Comment 3 Xisco Faulí 2020-02-26 14:37:47 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0ef5c47547bec6319b853326603f3b807407fe78

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-10-28 13:08:29 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-10-29 14:22:48 +0100
commit	0ef5c47547bec6319b853326603f3b807407fe78 (patch)
tree	ced33b9ae621fa1cd807f8647a5149eed8bc743b
parent	07bde58988705ca45a619eb7a4e670a5d951abf6 (diff)
sc: rowcol: tdf#50916 convert core/tool

Bisected with: bibisect-linux64-6.4

Adding Cc: to Noel Grandin
Comment 4 Julien Nabet 2020-02-26 15:27:10 UTC
Created attachment 158206 [details]
bt Windows (windbg)

On Win10 with master sources updated today, I could reproduce this.
Comment 5 Julien Nabet 2020-02-26 20:06:20 UTC
I gave a try here with (naive/band aid?):
https://gerrit.libreoffice.org/c/core/+/89591
Comment 6 Commit Notification 2020-02-27 09:18:23 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8f90d3bf33fde7759046a13282381bbd710357f1

tdf#130959 crash when opening file with non-existing hyperlinks

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-02-27 11:02:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5c6adee9f11c78d7a2731e015d270edeb5c5191e

tdf#130959: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-02-27 11:59:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/866476dd6a901a9657fd3bb7eef561abeed5a79a

tdf#130959 crash when opening file with non-existing hyperlinks

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-02-27 16:30:14 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 74e3c95b9b628a0b326790b62b4e378a12d02997
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 10 tadas 2020-03-02 08:58:09 UTC
Now that the bug has been fixed, please delete the attachment spreadsheet that I uploaded for reproduction purposes.
Comment 11 Xisco Faulí 2020-03-02 09:15:13 UTC
The content of attachment 158202 [details] has been deleted for the following reason:

reporter's request